classification
Title: Cleanup a few minor things
Type: enhancement Stage: resolved
Components: Library (Lib), Tests Versions: Python 3.4
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: Nosy List: aronacher, chris.jerdonek, ezio.melotti, giampaolo.rodola, gpolo, jcea, josiahcarlson, orsenthil, serhiy.storchaka, stutzbach
Priority: normal Keywords: patch

Created on 2013-01-05 16:08 by serhiy.storchaka, last changed 2013-01-08 11:35 by giampaolo.rodola. This issue is now closed.

Files
File name Uploaded Description Edit
minor_things_parens-2.7.diff serhiy.storchaka, 2013-01-05 16:14 review
minor_things_parens-3.2.diff serhiy.storchaka, 2013-01-05 16:14 review
minor_things_parens-3.3.diff serhiy.storchaka, 2013-01-05 16:14 review
minor_things_parens-3.4.diff serhiy.storchaka, 2013-01-05 16:14 review
minor_things_spaces-3.2.diff serhiy.storchaka, 2013-01-05 16:14 review
minor_things_spaces-2.7.diff serhiy.storchaka, 2013-01-05 16:14 review
minor_things_spaces-3.3.diff serhiy.storchaka, 2013-01-05 16:14 review
minor_things_spaces-3.4.diff serhiy.storchaka, 2013-01-05 16:14 review
Messages (9)
msg179128 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-05 16:08
Here is a set of patches which clean a few minor things: add spaces after if/while/return/etc, remove spaces after class/function name, remove redundant parens after if/while/return/etc. One set contains only space changes, another set contains parens changes.
msg179130 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2013-01-05 17:05
Looks good in most of the places, but at some places the parenthesis are of
course helpful for cohesiveness, and this can be quite subjective. With
these patches, are you in general removing all instances of parenthesis
when it is not required or also considering for places where parens may
help while reading the code?

+1 for the space changes patches.

On Sat, Jan 5, 2013 at 8:14 AM, Serhiy Storchaka <report@bugs.python.org>wrote:

>
> Changes by Serhiy Storchaka <storchaka@gmail.com>:
>
>
> ----------
> keywords: +patch
> Added file: http://bugs.python.org/file28576/minor_things_parens-2.7.diff
> Added file: http://bugs.python.org/file28577/minor_things_parens-3.2.diff
> Added file: http://bugs.python.org/file28578/minor_things_parens-3.3.diff
> Added file: http://bugs.python.org/file28579/minor_things_parens-3.4.diff
> Added file: http://bugs.python.org/file28580/minor_things_spaces-3.2.diff
> Added file: http://bugs.python.org/file28581/minor_things_spaces-2.7.diff
> Added file: http://bugs.python.org/file28582/minor_things_spaces-3.3.diff
> Added file: http://bugs.python.org/file28583/minor_things_spaces-3.4.diff
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue16871>
> _______________________________________
> _______________________________________________
> Python-bugs-list mailing list
> Unsubscribe:
> http://mail.python.org/mailman/options/python-bugs-list/senthil%40uthcode.com
>
>
msg179133 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-05 18:12
For me none of these parens help while reading the code (but this is quite subjective). I not object if only a part of these changes will be applied. Review the patches and point what changes should be applied and what changes should not.
msg179138 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2013-01-05 19:58
How about innecessary code churn?
msg179139 - (view) Author: Jesús Cea Avión (jcea) * (Python committer) Date: 2013-01-05 20:05
I elaborate: issue15580. An example of many.
msg179148 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2013-01-05 21:53
Here is another recent comment from Georg on this topic:

"And please don't commit cosmetic/"cleanup" changes to bugfix branches in the future."

(from http://bugs.python.org/issue16793#msg178372 )
msg179311 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-01-08 03:36
I'm -1 on this, however parts of the patches could be extracted and applied on individual modules in the 'default' branch only.  This could be done by the modules' maintainers if they think it's OK.

Note that while it's generally not OK doing this kind of refactoring on the code in maintenance branches, it's usually acceptable doing so for the documentation.
msg179320 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-01-08 08:11
Agreed. Maintainers of asynchat, tkinter.tix, optparse and difflib must pay attention to this.
msg179336 - (view) Author: Giampaolo Rodola' (giampaolo.rodola) * (Python committer) Date: 2013-01-08 11:35
Ok for asyncore/asynchat in 3.4 branch.
History
Date User Action Args
2013-01-08 11:35:08giampaolo.rodolasetmessages: + msg179336
2013-01-08 08:11:57serhiy.storchakasetstatus: pending -> closed

nosy: + josiahcarlson, giampaolo.rodola, gpolo, stutzbach, aronacher
messages: + msg179320

resolution: rejected
stage: patch review -> resolved
2013-01-08 03:36:52ezio.melottisetstatus: open -> pending
versions: - Python 2.7, Python 3.2, Python 3.3
messages: + msg179311

type: enhancement
stage: patch review
2013-01-05 21:53:13chris.jerdoneksetnosy: + chris.jerdonek
messages: + msg179148
2013-01-05 20:05:10jceasetmessages: + msg179139
2013-01-05 19:58:43jceasetnosy: + jcea
messages: + msg179138
2013-01-05 18:12:42serhiy.storchakasetmessages: + msg179133
2013-01-05 17:05:08orsenthilsetnosy: + orsenthil
messages: + msg179130
2013-01-05 16:14:31serhiy.storchakasetfiles: + minor_things_parens-2.7.diff, minor_things_parens-3.2.diff, minor_things_parens-3.3.diff, minor_things_parens-3.4.diff, minor_things_spaces-3.2.diff, minor_things_spaces-2.7.diff, minor_things_spaces-3.3.diff, minor_things_spaces-3.4.diff
keywords: + patch
2013-01-05 16:08:57serhiy.storchakacreate